=== src/CMakeLists.txt ===
include_directories(config)
include_directories(utils)
include_directories(log)
include_directories(timer)
include_directories(gsettings)

# add_subdirectory(communication)
add_subdirectory(config)
# add_subdirectory(debbuger)
add_subdirectory(log)
# add_subdirectory(process)
# add_subdirectory(thread)
add_subdirectory(timer)
add_subdirectory(utils)
# add_subdirectory(diagnostics)
add_subdirectory(gsettings)
