=== src/config/CMakeLists.txt ===
aux_source_directory(. SOURCESCODE)
add_library(kysdk-config SHARED ${SOURCESCODE})
set_target_properties(kysdk-config PROPERTIES VERSION 2.0.0 SOVERSION 1)
add_executable(kyconf-test-struct test/test_structlist.c)
target_link_libraries(kyconf-test-struct kysdk-config kysdk-log pthread)

install(TARGETS kysdk-config
        DESTINATION ${CMAKE_INSTALL_RPATH})

install(FILES libkyconf.h
        DESTINATION include/kysdk/kysdk-base)
