=== src/timer/CMakeLists.txt ===
aux_source_directory(. SOURCESCODE)
add_library(kysdk-timer SHARED ${SOURCESCODE})
set_target_properties(kysdk-timer PROPERTIES VERSION 2.0.0 SOVERSION 1)
add_executable(test-kytimer test/test-kytimer.c)
target_link_libraries(kysdk-timer pthread)
target_link_libraries(test-kytimer kysdk-timer)

install(TARGETS kysdk-timer
        DESTINATION ${CMAKE_INSTALL_RPATH})

install(FILES libkytimer.h
        DESTINATION include/kysdk/kysdk-base)
