=== debian/changelog ===
libkysdk-base (2.2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- xibowen <xibowen@kylinos.cn>  Wed, 16 Aug 2023 11:06:34 +0800

libkysdk-base (1.0.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1031344)

 -- KevinDuan <duankaiwen@ubuntukylin.com>  Tue, 14 Feb 2023 10:48:05 +0800
