=== debian/control ===
Source: libkysdk-base
Section: libs
Priority: optional
Maintainer: kylin Team <team+kylin@tracker.debian.org>
Uploaders: KevinDuan <duankaiwen@ubuntukylin.com>, xibowen <xibowen@kylinos.cn>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdbus-1-dev,
               libgtk-3-dev,
               libssl-dev,
               libsystemd-dev
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://gitee.com/openkylin/libkysdk-base
Vcs-Git: https://gitee.com/openkylin/libkysdk-base.git
Vcs-Browser: https://gitee.com/openkylin/libkysdk-base

Package: libkysdk-base
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Kylin SDK basic library
 libkysdk-base provides common functions in the
 process of program development, including log
 management, message communication, process
 daemon, thread management, timer, debugging and
 embedding, configuration file reading and writing, etc.
 This package is empty package.

Package: libkysdk-base-dev
Architecture: any
Section: libdevel
Depends: libkysdk-base ( = ${binary:Version}), libsystemd-dev, ${misc:Depends}
Description: development files for libkysdk-base
 libkysdk-base-dev provides common functions in the
 process of program development, including log
 management, message communication, process daemon, thread
 management, timer, debugging and embedding, configuration
 file reading and writing, etc.
 Contains development files for libkysdk-base.
