=== debian/watch ===
version=4
https://gitee.com/openkylin/libkysdk-base/releases/ .*/libkysdk-base-(\d\S+)\.tar\.gz
