## libkysdk-base 2.2.0.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,5 +12,5 @@
 # add_subdirectory(thread)
 add_subdirectory(timer)
 add_subdirectory(utils)
-# add_subdirectory(diagnostics)
+add_subdirectory(diagnostics)
 add_subdirectory(gsettings)
