=== src/config/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 target_link_libraries(kyconf-test-struct kysdk-config kysdk-log pthread)
 
 install(TARGETS kysdk-config
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES libkyconf.h
         DESTINATION include/kysdk/kysdk-base)
