=== src/gsettings/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 target_link_libraries(test-kygsetting kysdk-gsetting)
 
 install(TARGETS kysdk-gsetting
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES libkygsetting.h
         DESTINATION include/kysdk/kysdk-base)
