=== src/log/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 target_link_libraries(kylog-testpressure kysdk-log)
 
 install(TARGETS kysdk-log
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES libkylog.h
         DESTINATION include/kysdk/kysdk-base)
