=== src/timer/test/Makefile ===
all:
	gcc -g -O0 -o test-kytimer test-kytimer.c -lkysdk-timer -lpthread

clean:
	rm demo
