=== debian/changelog ===
libkysdk-base (2.2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix compile error on armhf and ppc64el.
  * d/control:
    - Add Multi-Arch.

 -- xibowen <xibowen@kylinos.cn>  Wed, 20 Sep 2023 10:25:52 +0800
