=== src/timer/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 target_link_libraries(test-kytimer kysdk-timer)
 
 install(TARGETS kysdk-timer
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES libkytimer.h
         DESTINATION include/kysdk/kysdk-base)
