=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set_target_properties(kyutils PROPERTIES VERSION 2.0.0 SOVERSION 1)
 include_directories(.)
 install(TARGETS kyutils
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES sdkmarcos.h kerr.h cstring-extension.h kyutils.h
         DESTINATION include/kysdk/kysdk-base)
 add_executable(test-utils sample/kyutils_sample.c)
