=== src/gsettings/test/Makefile ===
all:
	gcc -g -O0 -o test-gsetting test-gsetting.c

clean:
	rm demo
