=== src/utils/data-structure/CMakeLists.txt ===
--- 
+++ 
@@ -14,4 +14,4 @@
 target_link_libraries(test-search kydatastruct)
 
 install(TARGETS kydatastruct
-        DESTINATION ${CMAKE_INSTALL_RPATH})
+	DESTINATION ${CMAKE_INSTALL_LIBDIR})
