=== src/utils/data-structure/linklist/CMakeLists.txt ===
install(FILES listdata.h skip_linklist/skip_linklist.h
        DESTINATION include/kysdk/kysdk-base)
