=== debian/changelog ===
libkysdk-base (2.2.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097222)
  * Fix FTBFS with CMake 4. (Closes: #1113168)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 22:06:58 +0300

libkysdk-base (2.2.0.2-1) unstable; urgency=medium

  * Fix ftbfs with gcc-14. (Closes: #1075178)
  * Merge fix-implicit-function-declaration.patch to upstream.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 23 Aug 2024 21:09:47 +0800

libkysdk-base (2.2.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066656).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Mar 2024 12:44:02 +0500
