=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: kylin Team <team+kylin@tracker.debian.org>
-Uploaders: KevinDuan <duankaiwen@ubuntukylin.com>, xibowen <xibowen@kylinos.cn>
+Uploaders: KevinDuan <duankaiwen@ubuntukylin.com>,
+           xibowen <xibowen@kylinos.cn>,
+           handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libdbus-1-dev,
@@ -24,12 +26,11 @@
  management, message communication, process
  daemon, thread management, timer, debugging and
  embedding, configuration file reading and writing, etc.
- This package is empty package.
 
 Package: libkysdk-base-dev
 Architecture: any
 Section: libdevel
-Depends: libkysdk-base ( = ${binary:Version}), libsystemd-dev, ${misc:Depends}
+Depends: libkysdk-base (= ${binary:Version}), libsystemd-dev, ${misc:Depends}
 Description: development files for libkysdk-base
  libkysdk-base-dev provides common functions in the
  process of program development, including log
