=== debian/watch ===
version=4
https://gitee.com/openkylin/libkysdk-base/releases/ .*/libkysdk-base(-upstream)?-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
