## libkysdk-base 3.0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.3)
+cmake_minimum_required(VERSION 3.5)
 
 project(kysdk-base)
 
@@ -19,6 +19,17 @@
 set (LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
 set (EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
 
-set (CMAKE_INSTALL_PREFIX /usr)
+# 设置 CMAKE_INSTALL_LIBDIR 变量  
+if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "armv8l")
+        set(CMAKE_INSTALL_LIBDIR "/usr/lib/arm-linux-gnueabihf/")
+elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
+        set(CMAKE_INSTALL_LIBDIR "/usr/lib/mips64el-linux-gnuabi64/")
+elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "i686")
+        set(CMAKE_INSTALL_LIBDIR "/usr/lib/i386-linux-gnu/")
+else()
+        set(CMAKE_INSTALL_LIBDIR "/usr/lib/${CMAKE_HOST_SYSTEM_PROCESSOR}-linux-gnu/")
+endif()
+
+set (CMAKE_INSTALL_HEADER_DIR /usr/include/kysdk/kysdk-base)
 
 add_subdirectory(src)
