=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include_directories(log)
 include_directories(timer)
 include_directories(gsettings)
+include_directories(conf2)
 
 # add_subdirectory(communication)
 add_subdirectory(config)
@@ -14,3 +15,4 @@
 add_subdirectory(utils)
 add_subdirectory(diagnostics)
 add_subdirectory(gsettings)
+add_subdirectory(conf2)
