=== src/config/CMakeLists.txt ===
aux_source_directory(. SOURCESCODE)
add_library(kyconf SHARED ${SOURCESCODE})
set_target_properties(kyconf PROPERTIES VERSION 3.0.1 SOVERSION 1)
target_link_options(kyconf PRIVATE "-Wl,-z,now")
add_executable(kyconf-test-struct test/test_structlist.c)
target_link_libraries(kyconf-test-struct kyconf)

# 安装库文件  
install(TARGETS kyconf 
        DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES libkyconf.h
        DESTINATION ${CMAKE_INSTALL_HEADER_DIR})
