=== src/diagnostics/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,10 @@
 project(kydiagnostics LANGUAGES CXX)
 
 set(DIAGNOSTICS_TOP_DIR ${CMAKE_CURRENT_LIST_DIR})
-set(CMAKE_CXX_VISIBILITY_PRESET hidden)
-set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
 add_library(${PROJECT_NAME} SHARED)
-include(GenerateExportHeader)
-generate_export_header(kydiagnostics)
-set_target_properties(kydiagnostics PROPERTIES VERSION 2.0.0 SOVERSION 1)
+set_target_properties(kydiagnostics PROPERTIES VERSION 3.0.1 SOVERSION 1)
+target_link_options(kydiagnostics PRIVATE "-Wl,-z,now")
 
 target_compile_options(${PROJECT_NAME} PRIVATE -Wall -g)
 target_compile_features(${PROJECT_NAME} PRIVATE cxx_std_11)
@@ -34,10 +31,10 @@
 target_include_directories(${PROJECT_NAME} PRIVATE ${DIAGNOSTICS_TOP_DIR})
 target_sources(${PROJECT_NAME} PRIVATE ${SRCS})
 
-install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
+# 安装库文件  
+install(TARGETS ${PROJECT_NAME} 
+        DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
-target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
 install(FILES
-	libkydiagnostics.h
-	${CMAKE_CURRENT_BINARY_DIR}/kydiagnostics_export.h
-        DESTINATION include/kysdk/kysdk-base)
+        libkydiagnostics.h
+        DESTINATION ${CMAKE_INSTALL_HEADER_DIR})
