=== src/gsettings/CMakeLists.txt ===
aux_source_directory(. SOURCESCODE)
include(FindPkgConfig)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0 glib-2.0)
include_directories(${GTK3_INCLUDE_DIRS})

link_directories(${GTK3_LIBRARY_DIRS})
add_definitions(${GTK3_CFLAGS_OTHER})

add_library(kygsetting SHARED ${SOURCESCODE})
set_target_properties(kygsetting PROPERTIES VERSION 3.0.1 SOVERSION 1)
target_link_options(kygsetting PRIVATE "-Wl,-z,now")

add_executable(test-kygsetting test/test-gsetting.c)
target_link_libraries(kygsetting ${GTK3_LIBRARIES})
target_link_libraries(test-kygsetting kygsetting)

# 安装库文件  
install(TARGETS kygsetting 
        DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
        libkygsetting.h
        DESTINATION ${CMAKE_INSTALL_HEADER_DIR})
