=== src/utils/CMakeLists.txt ===
aux_source_directory(. SOURCESCODE)
add_library(kyutils SHARED ${SOURCESCODE})
set_target_properties(kyutils PROPERTIES VERSION 3.0.1 SOVERSION 1)
target_link_options(kyutils PRIVATE "-Wl,-z,now")
include_directories(.)

add_executable(test-utils sample/kyutils_sample.c)
target_link_libraries(test-utils kyutils)

# 安装库文件  
install(TARGETS kyutils 
        DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
        sdkmarcos.h
        kerr.h
        cstring-extension.h
        kyutils.h
        DESTINATION ${CMAKE_INSTALL_HEADER_DIR})

add_subdirectory(data-structure)
