=== debian/changelog ===
libkysdk-base (3.0.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Add debian/upstream/metadata, update d/watch to version 5.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Feb 2026 16:18:18 +0800

libkysdk-base (3.0.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Build-Depends: add libglib2.0-dev, libsqlite3-dev,
      libyaml-cpp-dev, and qt6-base-dev (migrate to Qt6).
    - Bump Standards-Version to 4.7.1.
    - Update libkysdk-base dependencies: add python3:any.
    - Update libkysdk-base-dev dependencies: remove libsystemd-dev.
  * debian/rules:
    - Remove QT_SELECT=5 export.
    - Add override_dh_install to enable dh_installsystemd.
  * debian/patches: drop gcc-15.patch and cmake-4.patch which merged
    to upstream.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 29 Jan 2026 15:22:17 +0800
