=== debian/watch ===
Version: 5
Source: https://gitee.com/openkylin/libkysdk-base/releases/
Matching-Pattern: download/debian/(\d[\d\.]*)/libkysdk-base_\1.orig.tar.gz
